Home > Notícias

Google Android 1.5 apresenta duas vulnerabilidades na segurança

Segundo a oCERT, brechas permitem que invasores desconectem celulares da rede ou reinicializem o aparelho repetidas vezes.

Redação do Computerworld/EUA

09/10/2009 às 15h29

Foto:

Pesquisadores da equipe de segurança de código aberto do Open Source Computer Emergency Response Team (oCERT) anunciaram ter encontrado duas vulnerabilidades que poderiam causar ataques de negação de serviço ao Android 1.5, sistema operacional do Google para celulares. Ambas as falhas já foram corrigidas pela empresa.

Segundo informações do oCERT, uma das brechas envolve a administração de mensagens de texto. A falha permite a um usuário mal intencionado enviar uma mensagem de WAP Push para desconectar o celular da rede de serviço. Essas mensagens são normalmente usadas no envio de toques ou imagens para o celular.

Uma mensagem com código ilícito pode reiniciar o sistema do celular sem o que o usuário saiba, o que pode levar a perda temporária de conexão e ligações perdidas. Se o chip da operadora for protegido com senha, o usuário tem de inserir a senha cada vez que o sistema é iniciado. Se essa falha for explorada repetidamente, pode resultar em negação de serviço de rede.

A outra vulnerabilidade também causa a reinicialização do sistema e está localizada na interface de máquina virtual Dalvik do Android.

As informações foram divulgadas nesta semana, depois que o Google distribuiu correções para os dois problemas.

Tags

Junte-se a nós e receba nossas melhores histórias de tecnologia. Newsletter por e-mail Newsletter por e-mail